---
lang: en
title: 'API docs: repository.defaultcrudrepository.update'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.update.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [update](./repository.defaultcrudrepository.update.md)

## DefaultCrudRepository.update() method

<b>Signature:</b>

```typescript
update(entity: T, options?: Options): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entity | <code>T</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<void>`


